package gov.va.med.esr.common.model.ee;

// ----------------------------------------------------------------------------
// Import java classes
// ----------------------------------------------------------------------------
import gov.va.med.fw.model.AbstractKeyedEntity;


public class VoaFileAttachmentImage extends AbstractKeyedEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -557633594523098847L;

	private byte[] fileImage = null;

	private VoaFileAttachment voaFileAttachment = null;
	
	public byte[] getFileImage() {
		return fileImage;
	}
	public void setFileImage(byte[] fileImage) {
		this.fileImage = fileImage;
	}

	public VoaFileAttachment getVoaFileAttachment() {
		return voaFileAttachment;
	}

	public void setVoaFileAttachment(VoaFileAttachment voaFileAttachment) {
	    validateOwner(this.voaFileAttachment, voaFileAttachment);
		this.voaFileAttachment = voaFileAttachment;
	}

}